Subject: bug#78183: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Jun 2025 20:00:03 +0000

Your bug report

#78183: [PATCH] gnu: node-esbuild: Replace esbuild-node with node-esbuild

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78183: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78183
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Wed, 18 Jun 2025 21:59:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Resubmitted on codeberg as PR #670.

Andreas

Subject: [PATCH] gnu: node-esbuild: Replace esbuild-node with node-esbuild
From: "d" <[email-masked]>
To: "guix-patches" <[email-masked]>
Date: Thu, 1 May 2025 07:17:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This change replaces the esbuild-node package built with (guix build-system go) with one built via (guix build-system node), making it more compatible with how other Node packages are built and imported.
It also uses the actual build scripts from the package itself instead of hacking around it within (guix build-system go).

I had difficulty adding node-esbuild in (gnu packages node-xyz) where I originally tried to add it.
Kept running into what I suspect is a cyclic dependency issue, where it would complain with 'error: esbuild: unbound variable' when I had the call to (package-source esbuild), but if I ommit that part, there's no issue with esbuild being an (input).

The reason I'm making this change is so that I have a node-esbuild Node package that I can use in another package I'm trying to add.